Pre-reqs

Everything you need to know to prepare for the event. Right here.

Each of the OpenPOWER Developer Congress presenters has provided pre-reqs to get you up to speed before the event so that you can hit the ground running on Day One. Additional documentation from the event proceedings is uploaded here.

Developer Congress Pre-Loads

If you are attending the following Tracks, please make sure you have a Github account and you have Google Chrome and IE11 installed:

 

Github:
https://github.com

Google Chrome:
https://www.google.com/chrome/

Internet Explorer Version 11:
https://support.microsoft.com/en-us/help/17621/internet-explorer-downloads

If you are attending the following Tracks, please make sure you not only have the Cisco Anytime Connect VPN Client installed, but you have read the instructions on connecting your PDP System and Establishing Connections document:

 

Cisco Anytime Connect VPN Client

Please refer to pages 7 and 8 in the Reference Document “Connecting to Your VLP System – A User GuideV3.pdf“. In that document, start on page 7 – Connecting to Your PDP System User Guide – “Establish VPN connection between your local client and PDP network.”

If you are attending the following Tracks, please make sure you have OpenVPN and the Cisco Anytime Connect VPN Client installed. Please read the instructions on connecting your PDP System and Establishing Connections document.

 

OpenVPN
On MacOS – Tunnelblick:
https://tunnelblick.net/downloads.html

Tunnelblick setup instructions:
https://www.finchvpn.com/guide/osx/tunnelblick

On Windows or Linux:
https://openvpn.net/index.php/open-source/downloads.html

OpenVPN instructions:
https://openvpn.net/index.php/open-source/documentation.html

Cisco Anytime Connect VPN Client

Please refer to pages 7 and 8 in the Reference Document “Connecting to Your VLP System – A User GuideV3.pdf“. In that document, start on page 7 – Connecting to Your PDP System User Guide – “Establish VPN connection between your local client and PDP network.”

If you are attending the Tensor Flow Track please make sure you have installed Google TensorFlow and Jupyter Notebook

 

TensorFlow 1.0
https://www.tensorflow.org/install/

Jupyter Notebook
http://jupyter.readthedocs.io/en/latest/install.html

If you are attending the Firmware and OpenBMC Track there are no preloads required. Attendees will load Putty in class.

Do you have questions? We have answers! Please reach out at developercongress2017@openpowerfoundation.org.